ProyectoCrm/src/app/Modulos/PerfilModulo/Paginas/fw-perfil/fw-perfil.page.html

<div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
  <h5>{{ tTitulo }}</h5>
</div>
<div class="row">
  <div class="col-12">
    <div class="form-row">
      <div class="form-group col-12">
        <app-fw-perfil-cabecera [(Usuario)]="tUsuario"></app-fw-perfil-cabecera>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <ul class="nav nav-tabs" role="tablist">
          <li class="nav-item"><a class="nav-link active" data-toggle="tab" href="#InformacionPersonal" role="tab" aria-controls="InformacionPersonal" aria-selected="true" id="InformacionPersonal-tab">Información Personal</a></li>
          <li class="nav-item"><a class="nav-link" data-toggle="tab" href="#Configuracion" role="tab" aria-controls="Configuracion" aria-selected="true" id="Configuracion-tab">Configuraciòn de Usuario</a></li>
          <li class="nav-item"><a class="nav-link" data-toggle="tab" href="#Permisos" role="tab" aria-controls="Permisos" aria-selected="true" id="Permisos-tab">Permisos</a></li>
        </ul>
      </div>
    </div>
    <div class="form-row aa">
      <div class="form-group col-12">
        <div class="tab-content" id="mvDatos">
          <div class="tab-pane fade show active" role="tabpanel" aria-labelledby="InformacionPersonal-tab" id="InformacionPersonal">
            <app-fw-perfil-informacion [(Usuario)]="tUsuario"></app-fw-perfil-informacion>
          </div>
          <div class="tab-pane fade" role="tabpanel" aria-labelledby="Configuracion-tab" id="Configuracion">
            <app-fw-perfil-configuracion [(Usuario)]="tUsuario" (ConfirmarClave)="ObtenerConfirmacionClave($event)" (NuevaClave)="ObtenerNuevaClave($event)"></app-fw-perfil-configuracion>
          </div>
          <div class="tab-pane fade" role="tabpanel" aria-labelledby="Permisos-tab" id="Permisos">
            <app-fw-perfil-permisos [(UsuarioModulos)]="tUsuarioActual.LModulos"></app-fw-perfil-permisos>
          </div>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12 d-flex justify-content-end">
        <div class="btn-toolbar" role="toolbar" aria-label="Toolbar with button groups">
          <div class="btn-group mr-1" role="group">
            <button class="btn btn-secondary btn-icon-split" type="button" (click)="Cancelar()"><span class="icon text-white-50"><i class="fas fa-times"></i></span><span class="text">Cancelar</span></button>
          </div>
          <div class="btn-group mr-1" role="group">
            <button class="btn btn-primary btn-icon-split" type="button" (click)="Agregar()" [disabled]="!tHabilitarGuardar"><span class="icon text-white-50"><i class="fas fa-save"></i></span><span class="text">Guardar</span></button>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

ProyectoCrm/src/app/Modulos/PerfilModulo/Paginas/fw-perfil/fw-perfil.page.pug
extend ../../../../ComponentesPug/FormulariosSinListados/Plantilla2.pug

block variables
    - var Titulo = "{{ tTitulo }}"

block contenido
    div.form-row
        div.form-group.col-12
            app-fw-perfil-cabecera([(Usuario)]="tUsuario")
    div.form-row
        div.form-group.col-12
            ul(role="tablist").nav.nav-tabs
                li.nav-item
                    a(data-toggle="tab",
                        href="#InformacionPersonal",
                        role="tab",
                        aria-controls="InformacionPersonal",
                        aria-selected="true")#InformacionPersonal-tab.nav-link.active Información Personal
                li.nav-item
                    a(data-toggle="tab",
                        href="#Configuracion",
                        role="tab",
                        aria-controls="Configuracion",
                        aria-selected="true")#Configuracion-tab.nav-link Configuraciòn de Usuario
                li.nav-item
                    a(data-toggle="tab",
                        href="#Permisos",
                        role="tab",
                        aria-controls="Permisos",
                        aria-selected="true")#Permisos-tab.nav-link Permisos
    div.form-row.aa
        div.form-group.col-12
            div.tab-content#mvDatos
                div(role="tabpanel", aria-labelledby="InformacionPersonal-tab").tab-pane.fade.show.active#InformacionPersonal
                    app-fw-perfil-informacion([(Usuario)]="tUsuario")
                div(role="tabpanel", aria-labelledby="Configuracion-tab").tab-pane.fade#Configuracion
                    app-fw-perfil-configuracion([(Usuario)]="tUsuario",
                                                (ConfirmarClave) = "ObtenerConfirmacionClave($event)",
                                                (NuevaClave) = "ObtenerNuevaClave($event)")
                div(role="tabpanel", aria-labelledby="Permisos-tab").tab-pane.fade#Permisos
                    app-fw-perfil-permisos([(UsuarioModulos)]="tUsuarioActual.LModulos")
    div.form-row
        div.form-group.col-12.d-flex.justify-content-end
            div(role="toolbar",
                aria-label="Toolbar with button groups").btn-toolbar
                div(role="group").btn-group.mr-1
                    button(type="button", (click)="Cancelar()").btn.btn-secondary.btn-icon-split
                        span.icon.text-white-50
                            i.fas.fa-times
                        span.text Cancelar
                div(role="group").btn-group.mr-1
                    button(type="button", (click)="Agregar()", [disabled]="!tHabilitarGuardar").btn.btn-primary.btn-icon-split
                        span.icon.text-white-50
                            i.fas.fa-save
                        span.text Guardar
